Remove PDF form fields from a PDF

16 Feb 20261 minute to read

Remove form fields using the UI

Steps:

  1. Enable Form Designer mode.
  2. Select the form field.
  3. Click Delete in the toolbar or press the Delete key.
    Form Designer toolbar with Delete icon

Remove form fields programmatically

Use deleteFormField() with a field reference or ID

<button id="deleteAllFields">Delete Form Fields</button>
<button id="deleteById">Delete First Field By ID</button>
// Delete all added form fields on button click
(document.getElementById('deleteAllFields') as HTMLButtonElement).addEventListener('click', () => {
  const fields = [...pdfviewer.formFieldCollections]; // clone to avoid mutation issues
  fields.forEach(field => pdfviewer.formDesignerModule.deleteFormField(field));
});

// Delete by ID on button click (example uses the first field's ID)
(document.getElementById('deleteById') as HTMLButtonElement).addEventListener('click', () => {
  if (pdfviewer.formFieldCollections.length > 0) {
    const id = pdfviewer.formFieldCollections[0].id;
    if (id) {
      pdfviewer.formDesignerModule.deleteFormField(id);
    }
  }
});

View Sample on GitHub

See also

Remove PDF Form Fields from a PDF in Vue

4 Feb 20262 minutes to read

Remove Form Fields Using the UI

Steps:

  1. Enable Form Designer mode.
  2. Select the form field.
  3. Click Delete in the toolbar or press the Delete key.
    Form Designer toolbar with Delete icon

Remove Form Fields Programmatically

Use deleteFormField() with a field reference or ID.

<template>
  <div>
    <button @click="deleteAllFields">Delete Form Fields</button>
    <button @click="deleteById">Delete First Field By ID</button>
    <ejs-pdfviewer id="pdfViewer" ref="pdfviewer" :documentPath="documentPath" :resourceUrl="resourceUrl" style="height:640px" />
  </div>
</template>

<script>
import {
  PdfViewerComponent,
  Toolbar,
  Magnification,
  Navigation,
  Annotation,
  TextSelection,
  TextSearch,
  FormFields,
  FormDesigner,
  PageOrganizer,
} from '@syncfusion/ej2-vue-pdfviewer';

export default {
  components: { 'ejs-pdfviewer': PdfViewerComponent },
  provide: { PdfViewer: [Toolbar, Magnification, Navigation, Annotation, TextSelection, TextSearch, FormFields, FormDesigner, PageOrganizer] },
  data() {
    return {
      documentPath:'https://cdn.syncfusion.com/content/pdf/form-filling-document.pdf',
      resourceUrl: 'https://cdn.syncfusion.com/ej2/31.1.23/dist/ej2-pdfviewer-lib',
    };
  },
  methods: {
    deleteAllFields() {
      const pdfviewer = this.$refs.pdfviewer.ej2Instances;
      const fields = [...pdfviewer.formFieldCollections]; // clone to avoid mutation issues
      fields.forEach(field => pdfviewer.formDesignerModule.deleteFormField(field));
    },
    deleteById() {
      const pdfviewer = this.$refs.pdfviewer.ej2Instances;
      if (pdfviewer.formFieldCollections.length > 0) {
        const id = pdfviewer.formFieldCollections[0].id;
        if (id) {
          pdfviewer.formDesignerModule.deleteFormField(id);
        }
      }
    }
  }
};
</script>

View Sample on GitHub

See also

Remove PDF Form Fields from a PDF in Angular

3 Feb 20262 minutes to read

Remove Form Fields Using the UI

Steps:

  1. Enable Form Designer mode.
  2. Select the form field.
  3. Click Delete in the toolbar or press the Delete key.
    Form Designer toolbar with Delete icon

Remove Form Fields Programmatically

Use deleteFormField() with a field reference or ID.

import { Component, ViewChild } from '@angular/core';
import {
  ToolbarService,
  MagnificationService,
  NavigationService,
  AnnotationService,
  TextSelectionService,
  TextSearchService,
  FormFieldsService,
  FormDesignerService,
  PdfViewerModule,
  PdfViewerComponent,
} from '@syncfusion/ej2-angular-pdfviewer';

@Component({
  selector: 'app-root',
  standalone: true,
  imports: [PdfViewerModule],
  template: `
    <div class="content-wrapper">
      <button (click)="deleteAllFields()">Delete Form Fields</button>
      <button (click)="deleteById()">Delete First Field By ID</button>

      <ejs-pdfviewer #pdfViewer id="pdfViewer"
        [resourceUrl]="resourceUrl"
        [documentPath]="document"
        style="height: 640px; display: block;">
      </ejs-pdfviewer>
    </div>
  `,
  providers: [
    ToolbarService,
    MagnificationService,
    NavigationService,
    AnnotationService,
    TextSelectionService,
    TextSearchService,
    FormFieldsService,
    FormDesignerService,
  ],
})
export class AppComponent {
  public document: string = 'https://cdn.syncfusion.com/content/pdf/form-filling-document.pdf';
  public resourceUrl: string = 'https://cdn.syncfusion.com/ej2/31.1.23/dist/ej2-pdfviewer-lib';

  @ViewChild('pdfViewer') public pdfviewer!: PdfViewerComponent;

  deleteAllFields(): void {
    const fields = [...this.pdfviewer.formFieldCollections];
    fields.forEach((field: any) => this.pdfviewer.formDesignerModule.deleteFormField(field));
  }

  deleteById(): void {
    const collections = this.pdfviewer.formFieldCollections;
    if (collections && collections.length > 0) {
      const id = collections[0].id;
      if (id) {
        this.pdfviewer.formDesignerModule.deleteFormField(id);
      }
    }
  }
}

View Sample on GitHub

See also

Remove PDF Form Fields from a PDF in React

25 Feb 20265 minutes to read

The PDF Viewer supports removing form fields using the Form Designer UI or programmatically via the API.

Remove form fields using the UI

Steps:

  1. Enable Form Designer mode.
  2. Select the form field.
  3. Click Delete in the toolbar or press the Delete key.

Form Designer toolbar showing Delete form field icon

Remove form fields programmatically

Use deleteFormField() with a field reference or the field id. The method accepts either a field object returned by retrieveFormFields() or a numeric/string id. Example usage is shown in the code sample below.

import * as ReactDOM from 'react-dom/client';
import React, { useRef, useCallback } from 'react';
import './index.css';
import { PdfViewerComponent, Toolbar, Magnification, Navigation, LinkAnnotation, BookmarkView, ThumbnailView, Print, TextSelection, Annotation, TextSearch, FormDesigner, FormFields, Inject } from '@syncfusion/ej2-react-pdfviewer';

export function App() {
  const viewerRef = useRef(null);

  const onDocumentLoad = useCallback(() => {
    const viewer = viewerRef.current;
    if (!viewer) return;

    viewer.formDesignerModule.addFormField('Textbox', {
      name: 'First Name',
      bounds: { X: 146, Y: 229, Width: 150, Height: 24 }
    });

    viewer.formDesignerModule.addFormField('Password', {
      name: 'Password',
      bounds: { X: 338, Y: 229, Width: 150, Height: 24 }
    });

    viewer.formDesignerModule.addFormField('SignatureField', {
      name: 'Sign Here',
      bounds: { X: 146, Y: 280, Width: 200, Height: 43 }
    });
  }, []);

  const deleteAll = useCallback(() => {
    const viewer = viewerRef.current;
    if (!viewer || !viewer.formFieldCollection) return;
    const fields = [...viewer.formFieldCollection]; // clone to avoid mutation issues
    fields.forEach(field => viewer.formDesignerModule.deleteFormField(field));
  }, []);

  const deleteById = useCallback(() => {
    const viewer = viewerRef.current;
    const list = viewer?.formFieldCollection || [];
    if (list.length > 0) {
      const id = list[0].id;
      if (id) viewer.formDesignerModule.deleteFormField(id);
    }
  }, []);

  return (
    <div>
      <div className='control-section'>
        <div style=>
          <button onClick={deleteAll}>Delete Form Fields</button>
          <button onClick={deleteById} style=>Delete First Field By ID</button>
        </div>
        <PdfViewerComponent
          ref={viewerRef}
          id="container"
          documentPath="https://cdn.syncfusion.com/content/pdf/form-designer.pdf"
          resourceUrl="https://cdn.syncfusion.com/ej2/31.2.2/dist/ej2-pdfviewer-lib"
          // serviceUrl="https://document.syncfusion.com/web-services/pdf-viewer/api/pdfviewer/" // Optional server-backed
          documentLoad={onDocumentLoad}
          style=
        >
          <Inject services={[Toolbar, Magnification, Navigation, Annotation, LinkAnnotation, BookmarkView, ThumbnailView, Print, TextSelection, TextSearch, FormDesigner, FormFields]} />
        </PdfViewerComponent>
      </div>
    </div>
  );
}

const root = ReactDOM.createRoot(document.getElementById('sample'));
root.render(<App />);

View Sample on GitHub

See also